> ## Documentation Index
> Fetch the complete documentation index at: https://laminar.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List dataset datapoints

> Returns a paginated page of datapoints from a dataset identified by ID or name.



## OpenAPI

````yaml /openapi/openapi.yaml get /v1/datasets/datapoints
openapi: 3.1.0
info:
  title: Laminar API
  version: 1.0.0
  description: Public HTTP API for ingesting and managing data in a Laminar project.
  license:
    name: Apache 2.0
    identifier: Apache-2.0
servers:
  - url: https://api.lmnr.ai
    description: Laminar Cloud
security:
  - projectApiKey: []
tags:
  - name: Ingestion
    description: Send telemetry data to Laminar.
  - name: Traces
    description: Update trace data after ingestion.
  - name: SQL
    description: Query project data with read-only SQL.
  - name: Projects
    description: Resolve project information.
  - name: Datasets
    description: Read datasets and add datapoints.
  - name: Evaluations
    description: Create evaluation runs and record their results.
  - name: Labeling queues
    description: Add items to labeling queues.
  - name: Signals
    description: Manage automated evaluations of project traces.
  - name: LLM profiles
    description: Configure workspace LLM credentials and models for self-hosted Signals.
paths:
  /v1/datasets/datapoints:
    get:
      tags:
        - Datasets
      summary: List dataset datapoints
      description: >-
        Returns a paginated page of datapoints from a dataset identified by ID
        or name.
      operationId: listDatasetDatapoints
      parameters:
        - name: datasetId
          in: query
          schema:
            $ref: '#/components/schemas/Uuid'
        - name: datasetName
          in: query
          schema:
            type: string
        - name: limit
          in: query
          required: true
          schema:
            type: integer
            format: int64
        - name: offset
          in: query
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: A page of datapoints.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatapointPage'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Uuid:
      type: string
      format: uuid
    DatapointPage:
      type: object
      required:
        - totalCount
        - items
        - anyInProject
      properties:
        totalCount:
          type: integer
          format: int64
        items:
          type: array
          items:
            $ref: '#/components/schemas/Datapoint'
        anyInProject:
          type: boolean
    Datapoint:
      type: object
      required:
        - id
        - datasetId
        - data
        - metadata
        - createdAt
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
        datasetId:
          $ref: '#/components/schemas/Uuid'
        data:
          $ref: '#/components/schemas/JsonValue'
        target:
          $ref: '#/components/schemas/JsonValue'
        metadata:
          type: object
          additionalProperties: true
        createdAt:
          type: string
          format: date-time
    Error:
      oneOf:
        - type: object
          properties:
            error:
              type: string
          required:
            - error
        - type: string
    JsonValue: {}
  responses:
    Unauthorized:
      description: Missing or invalid API key.
    NotFound:
      description: The requested resource was not found in this project.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    projectApiKey:
      type: http
      scheme: bearer
      bearerFormat: Project API key
      description: A Laminar project API key.

````